import {
  LoggerBrowserClassicHandler,
  gravatarURLByEmail,
  isLocalHost,
  urlBase64ToUint8Array
} from "./chunk-R6M2TCYY.js";
import {
  LoggerBrowserHandler,
  activateConsoleDebug,
  selectColor,
  supportsColors
} from "./chunk-MSJIHKSP.js";
import {
  Channel,
  CommandChannel,
  Emitter,
  LocalChannel,
  SerialQueue,
  arrayEmptyInPlace,
  arrayFilterInPlace,
  arrayIntersection,
  arrayIsEqual,
  arrayMinus,
  arrayRandomElement,
  arrayRemoveElement,
  arraySetElement,
  arrayShuffle,
  arrayShuffleForce,
  arrayShuffleInPlace,
  arraySorted,
  arraySortedNumbers,
  arraySymmetricDifference,
  arrayToggleInPlace,
  arrayUnion,
  arrayUnique,
  cloneObject,
  cmp,
  composeOrderby,
  createMutex,
  csv,
  decodeBase16,
  decodeBase32,
  decodeBase58,
  decodeBase62,
  detect,
  empty,
  encodeBase16,
  encodeBase32,
  encodeBase58,
  encodeBase62,
  endSortWeight,
  formatMessages,
  getGlobal,
  getNavigator,
  getWindow,
  immediate,
  isPromise,
  isTimeout,
  last,
  lazyListener,
  messages,
  moveSortWeight,
  parseOrderby,
  platform,
  promisify,
  renderMessages,
  size,
  sleep,
  sortedItems,
  sortedOrderby,
  startSortWeight,
  stringToBoolean,
  stringToFloat,
  stringToInteger,
  stringify,
  subscribeDetectOrientation,
  suid,
  suidBytes,
  suidBytesDate,
  suidDate,
  timeout,
  timeoutReached,
  timoutError,
  toBool,
  toCamelCase,
  toFloat,
  toInt,
  toString,
  tryTimeout,
  uname,
  useBase,
  uuid,
  uuidB32,
  valueToBoolean,
  valueToFloat,
  valueToInteger,
  valueToString,
  waitOn
} from "./chunk-LZJPMHAM.js";
import {
  GlobalLogger,
  LogLevel,
  Logger,
  LoggerConsoleHandler,
  LoggerContext,
  deepEqual,
  deepMerge,
  formatMilliseconds,
  getTimestamp,
  isObject,
  isPrimitive,
  useNamespaceFilter
} from "./chunk-CYX5OLOK.js";
export {
  Channel,
  CommandChannel,
  Emitter,
  GlobalLogger,
  LocalChannel,
  LogLevel,
  Logger,
  LoggerBrowserClassicHandler,
  LoggerBrowserHandler,
  LoggerConsoleHandler,
  LoggerContext,
  SerialQueue,
  activateConsoleDebug,
  arrayEmptyInPlace,
  arrayFilterInPlace,
  arrayIntersection,
  arrayIsEqual,
  arrayMinus,
  arrayRandomElement,
  arrayRemoveElement,
  arraySetElement,
  arrayShuffle,
  arrayShuffleForce,
  arrayShuffleInPlace,
  arraySorted,
  arraySortedNumbers,
  arraySymmetricDifference,
  arrayToggleInPlace,
  arrayUnion,
  arrayUnique,
  cloneObject,
  cmp,
  composeOrderby,
  createMutex,
  csv,
  decodeBase16,
  decodeBase32,
  decodeBase58,
  decodeBase62,
  deepEqual,
  deepMerge,
  detect,
  empty,
  encodeBase16,
  encodeBase32,
  encodeBase58,
  encodeBase62,
  endSortWeight,
  formatMessages,
  formatMilliseconds,
  getGlobal,
  getNavigator,
  getTimestamp,
  getWindow,
  gravatarURLByEmail,
  immediate,
  isLocalHost,
  isObject,
  isPrimitive,
  isPromise,
  isTimeout,
  last,
  lazyListener,
  messages,
  moveSortWeight,
  parseOrderby,
  platform,
  promisify,
  renderMessages,
  selectColor,
  size,
  sleep,
  sortedItems,
  sortedOrderby,
  startSortWeight,
  stringToBoolean,
  stringToFloat,
  stringToInteger,
  stringify,
  subscribeDetectOrientation,
  suid,
  suidBytes,
  suidBytesDate,
  suidDate,
  supportsColors,
  timeout,
  timeoutReached,
  timoutError,
  toBool,
  toCamelCase,
  toFloat,
  toInt,
  toString,
  tryTimeout,
  uname,
  urlBase64ToUint8Array,
  useBase,
  useNamespaceFilter,
  uuid,
  uuidB32,
  valueToBoolean,
  valueToFloat,
  valueToInteger,
  valueToString,
  waitOn
};
//# sourceMappingURL=index.browser.js.map
